%define ant_home %{_datadir}/ant
%define ant_lib  %{ant_home}/lib
Name:          ant-dotnet
Version:       1.1
Release:       %mkrel 1
Summary:       Apache .NET Ant Library™ 
Group:         Development/Java
License:       ASL 2.0
Url:           http://ant.apache.org/antlibs/dotnet/
Source0:       http://apache.fastbull.org/ant/antlibs/dotnet/source/apache-ant-dotnet-1.1-src.tar.gz
BuildRequires: ant
BuildRequires: ant-antunit
BuildRequires: ant-junit
BuildRequires: ant-testutil
BuildRequires: java-devel
BuildRequires: jpackage-utils
BuildRequires: junit
Requires:      ant
Requires:      java
Requires:      jpackage-utils
BuildArch:     noarch

%description
The Apache .NET Antlib provides tasks that support development of .NET software with Apache Ant.

This library doesn't strive to replace NAnt or MSBuild, its main
purpose is to help those of us who work on projects crossing platform
boundaries. With this library you can use Ant to build and test the
Java as well as the .NET parts of your project.

%package javadoc
Summary:          Javadocs for %{name}
Group:            Development/Java
Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n apache-ant-dotnet-%{version}

for j in $(find . -name "*.jar"); do
  mv $j $j.no
done
for c in $(find . -name "*.class"); do
  rm -rf $c
done

%build
export CLASSPATH=$(build-classpath ant/ant-antunit ant/ant-testutil.junit ant/ant-junit)
ant \
  -Dant-testutil.jar=$(build-classpath ant/ant-testutil) \
  bin-dist
# test

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}/ant %{buildroot}%{ant_lib}

install -pm 0644 dist-bin/ant-dotnet-%{version}.jar %{buildroot}%{_javadir}/ant/ant-dotnet-%{version}.jar

(
  cd %{buildroot}%{_javadir}/ant
  for jar in *-%{version}*; do
    ln -sf ${jar} ${jar/-%{version}/}
  done
  ln -sf ../../java/ant/ant-dotnet-%{version}.jar %{buildroot}%{ant_lib}/ant-dotnet.jar
)

mkdir -p %{buildroot}%{_sysconfdir}/ant-dotnet.d
echo "ant/ant-dotnet" > %{buildroot}%{_sysconfdir}/ant-dotnet.d/dotnet

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 0644 dist-bin/ant-dotnet-%{version}.pom %{buildroot}%{_mavenpomdir}/JPP.ant-ant-dotnet.pom
%add_maven_depmap JPP.ant-ant-dotnet.pom ant/ant-dotnet.jar

mkdir -p %{buildroot}%{_javadocdir}/ant-dotnet
cp -pr dist-bin/javadoc/* %{buildroot}%{_javadocdir}/ant-dotnet/

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%config(noreplace) %{_sysconfdir}/ant-dotnet.d/dotnet
%{_javadir}/ant/ant-dotnet-%{version}.jar
%{_javadir}/ant/ant-dotnet.jar
%{ant_lib}/ant-dotnet.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc dist-bin/{CONTRIBUTORS,NOTICE,README*,WHATSNEW,docs/*}

%files javadoc
%{_javadocdir}/ant-dotnet


%changelog
* Fri Aug 12 2011 dmorgan <dmorgan> 1.1-1.mga2
+ Revision: 132809
- Clean spec file

  + gil <gil>
    - imported package ant-dotnet

